### Transform

Category

Rendering

Function

Performs a generalized transform of an object.

Syntax

    output = Transform(input, transform);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | object | none | object to be transformed
`transform` | tensor | none | 3×3 or 3×4 transformation matrix

Outputs

Name | Type | Description
--- | --- | ---
`output` | object | object marked for transformation

Functional Details

This module prepares a specified object for being moved, rotated, and resized. A Transform object containing the specified transformation matrix is inserted at the root of the object. This transform is applied during rendering.

The module is more primitive than Translate, Rotate, and Scale, but it allows direct entry into a 3×3 or 3×4 matrix (for combining several transformations or for a skew transform).

Each [x y z] point in the object is transformed to the new point [x' y' z'] by: [x' y' z'] = [ x y z ] [[ a b c ] [ d e f ][ g h i ]] + [ j k l ]

Nine numbers are interpreted as a to i with no translation; twelve numbers are a to l. No translation occurs for the default value of: [[1 0 0] [0 1 0] [0 0 1]] + [ 0 0 0 ]

Components

All input components are propagated to the output.

See Also

Rotate, Scale, Translate

[ OpenDX Home at IBM | OpenDX.org ]